Subject: bug#51690: tests not cleaning up after themselves

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Nov 2021 05:31:16 +0100

Glenn Morris <[email-masked]> writes:

> 'make -j8 check' leaves the following files behind in /tmp:
>
> tramp-testcaNEPj.tar.gz
> emacs-test-qfl239-bytecomp/    # mode 500, ie not writable
> emacs-test-QvSmF8-bytecomp/    # ""
>
> Please could these tests clean up after themselves.

I've now fixed the latter two.  I had a brief look at the Tramp tests,
but it wasn't immediately obvious to me which test was leaving behind
the tar.gz file, so I've added Michael to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no